-- name: [CS] \\#4d0000\\Mario85 
-- description: Finally the a scary guy himself  ABOUT DAMN TIME \n\n\\#ff7777\\This Pack requires Character Select\nto use as a Library!

--[[
    API Documentation for Character Select can be found below:
    https://github.com/Squishy6094/character-select-coop/blob/main/API-doc.md

    Use this if you're curious on how anything here works >v<
]]

local E_MODEL_CUSTOM_MODEL = smlua_model_util_get_id("MX_geo")

local TEX_CUSTOM_ICON = get_texture_info("MX85-icon")

local TEXT_MOD_NAME = "MX"

local VOICETABLE_CHAR = {
    [CHAR_SOUND_ATTACKED] = 'bold.ogg',
    [CHAR_SOUND_DOH] = 'Bump.ogg',
    [CHAR_SOUND_DROWNING] = 'static.ogg',
    [CHAR_SOUND_DYING] = 'DIE.ogg',
    [CHAR_SOUND_GROUND_POUND_WAH] = 'Bump.ogg',
    [CHAR_SOUND_HAHA] = 'WAHOO.ogg',
    [CHAR_SOUND_HAHA_2] = 'YAHOOO.ogg',
    [CHAR_SOUND_HERE_WE_GO] = 'not far.ogg',
    [CHAR_SOUND_HOOHOO] = 'jump.ogg',
    [CHAR_SOUND_MAMA_MIA] = 'bricked.ogg',
    [CHAR_SOUND_OKEY_DOKEY] = 'bricked.ogg',
    [CHAR_SOUND_ON_FIRE] = 'static.ogg',
    [CHAR_SOUND_OOOF] = 'Bump.ogg',
    [CHAR_SOUND_OOOF2] = 'Bump.ogg',
    [CHAR_SOUND_PUNCH_HOO] = 'bricked.ogg',
    [CHAR_SOUND_PUNCH_WAH] = 'Bump.ogg',
    [CHAR_SOUND_PUNCH_YAH] = 'Bump.ogg',
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'not far.ogg',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'bricked.ogg',
    [CHAR_SOUND_WAAAOOOW] = 'Bump.ogg',
    [CHAR_SOUND_WAH2] = 'Bump.ogg',
    [CHAR_SOUND_WHOA] = 'Bump.ogg',
    [CHAR_SOUND_YAHOO] = 'YAHOOO.ogg',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = 'jump.ogg',
    [CHAR_SOUND_YAH_WAH_HOO] = 'jump.ogg',
    [CHAR_SOUND_YAWNING] = 'DIE.ogg',
}

 

if _G.charSelectExists then
    CT_CHAR = _G.charSelect.character_add("MX", {"The false hero finally joins cast", "WAHOOOOOOOOOOO!!", "A CSport of the guy from a haunted PC port. . .funny"}, "Creator: Steven. Ported by: Dremy_Bowser",  {r = 700, g =000 , b = 000}, E_MODEL_CUSTOM_MODEL, CT_MARIO, TEX_CUSTOM_ICON)
    _G.charSelect.character_add_caps(E_MODEL_CUSTOM_MODEL, CAPTABLE_CHAR)

    -- the following must be hooked for each character added
    _G.charSelect.character_add_voice(E_MODEL_CUSTOM_MODEL, VOICETABLE_CHAR)
    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_CHAR then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_CHAR then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end 